import requests
import time
import pandas as pd
from datetime import date
from datetime import timedelta
import os.path
import urllib
import pandas as pd


def scraper(mode, version):

    base_url = 'https://aeronet.gsfc.nasa.gov/cgi-bin/print_web_data_v3?year={}&month={}&day={}&year2={}&month2={}&day2={}&{}{}=1&AVG=10'
    base_url_alm = 'https://aeronet.gsfc.nasa.gov/cgi-bin/print_web_data_inv_v3?year={}&month={}&day={}&year2={}&month2={}&day2={}&product=ALL&AVG=10&{}{}=1'
    levels = {'15': '1.5', '20': '2.0'}
    data_types = {'AOD': 'directsun', 'SDA': 'oneill', 'ALM': "almucantar"}

    if mode == 'all':
        bdate = date(2020, 12, 1)
        edate = date(2020, 12, 3)

    elif mode == 'nrt':
        bdate = date.today() - timedelta(days = 1)
        edate = date.today() 

    else:
        print('time mode inapplicable')


    # create date array, daily; format YYYYMMDD
    dates = pd.date_range(bdate, edate, freq='d')

    # download
    for level in levels:

        for data_type in data_types:
            os.makedirs('/esarchive/obs/ghost/AERONET_v3_lev{}/original_files/{}/{}/'.format(levels[level], version, data_types[data_type]), exist_ok=True)
            download_location = '/esarchive/obs/ghost/AERONET_v3_lev{}/original_files/{}/{}/'.format(levels[level], version, data_types[data_type])

            for day in dates:

                if data_type == 'ALM':
                    base_url = base_url_alm
                else:
                    pass
                
                url = base_url.format(day.year, day.month, day.day, (day+timedelta(days=1)).year, (day+timedelta(days=1)).month, (day+timedelta(days=1)).day, data_type, level)
                r = requests.get(url, timeout=60)
                if r.status_code == 200:
                    urllib.request.urlretrieve(url, download_location+day.strftime('%Y%m%d')+'.html')
                    print('Downloaded {}'.format(url))
                else:
                    print('No {}'.format(url))